Bug 204622 - bittorrent takes an unreasonable amount of memory and has a memory leak
bittorrent takes an unreasonable amount of memory and has a memory leak
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bittorrent (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 10:18 EDT by Russell Coker
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:16:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-08-30 10:18:23 EDT
I am running bittorrent on a Pentium-D system (2*64bit CPU cores) with the 
AMD64 build of FC5.

It starts out at 132M and then goes to 134M when it starts working (which is 
excessive) and then over time expands to over 1G.

I am running bittorrent on fc6-test2-dvd-i386 (3G file).

Below is the output of running "ps aux|grep bittorr" every 10 minutes, you can 
see the memory use grow.

torrent  17053  0.9  1.8 137980 18884 pts/6    Sl+  20:31   
0:37 /usr/bin/pytho
torrent  17053  0.9  1.8 138012 18896 pts/6    Sl+  20:31   
0:43 /usr/bin/pytho
torrent  17053  0.9  1.8 138012 18904 pts/6    Sl+  20:31   
0:48 /usr/bin/pytho
torrent  17053  0.9  1.8 138012 18904 pts/6    Sl+  20:31   
0:51 /usr/bin/pytho
torrent  17053  0.9  1.8 138012 18908 pts/6    Sl+  20:31   
0:56 /usr/bin/pytho
torrent  17053  0.9  1.8 138012 18908 pts/6    Sl+  20:31   
1:02 /usr/bin/pytho
torrent  17053  0.8  1.8 138012 18908 pts/6    Sl+  20:31   
1:05 /usr/bin/pytho
torrent  17053  0.8  1.8 138012 18912 pts/6    Sl+  20:31   
1:10 /usr/bin/pytho
torrent  17053  0.8  1.8 138040 18924 pts/6    Sl+  20:31   
1:16 /usr/bin/pytho
torrent  17053  0.8  1.8 138040 18928 pts/6    Sl+  20:31   
1:19 /usr/bin/pytho
torrent  17053  0.8  1.8 138040 18936 pts/6    Sl+  20:31   
1:24 /usr/bin/pytho
torrent  17053  0.8  1.8 138040 18940 pts/6    Sl+  20:31   
1:30 /usr/bin/pytho
torrent  17053  0.8  1.8 138040 18948 pts/6    Sl+  20:31   
1:33 /usr/bin/pytho
torrent  17053  0.8  1.8 138040 18948 pts/6    Sl+  20:31   
1:38 /usr/bin/pytho
torrent  17053  0.8  1.8 138040 18948 pts/6    Sl+  20:31   
1:43 /usr/bin/pytho
torrent  17053  0.8  1.8 138064 18952 pts/6    Sl+  Aug30   
1:46 /usr/bin/pytho
torrent  17053  0.8  1.8 138064 18952 pts/6    Sl+  Aug30   
1:50 /usr/bin/pytho
Comment 1 Paul Howarth 2006-08-30 10:40:50 EDT
This is really an upstream issue and I suspect their response (if they made one,
which hasn't happened for either of the last couple of bug reports I sent) would
be to try the current version (4.20.x).

Unfortunately this version requires a newer version of python-twisted than is
currently available in Extras (see Bug #171543).

If you want to try the current release to see if the problem is fixed there, you
can get my locally-built packages here:

http://www.city-fan.org/ftp/contrib/bittorrent/
Comment 2 Bug Zapper 2008-04-03 23:37:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Paul Howarth 2008-04-09 05:14:28 EDT
Perhaps this, like Bug #221124, was actually a bug in other packages? Does it
still happen?
Comment 4 Bug Zapper 2008-05-06 12:16:45 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.